summaryrefslogtreecommitdiff
path: root/buildbot/build.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2019-12-15 16:47:59 +0100
committerChristian Grothoff <christian@grothoff.org>2019-12-15 16:47:59 +0100
commit7d20c273c7a1c77a2ab036e717dc861c6c2052ac (patch)
tree6df8e09f5ae7e8032bd19f9140b3bf2cceb2b6e5 /buildbot/build.sh
parent4481fafb26673086c6dd62ec1288d068fa7a8d4d (diff)
downloaddeployment-7d20c273c7a1c77a2ab036e717dc861c6c2052ac.tar.gz
deployment-7d20c273c7a1c77a2ab036e717dc861c6c2052ac.tar.bz2
deployment-7d20c273c7a1c77a2ab036e717dc861c6c2052ac.zip
now that buildmaster pulls deployment, do not do so in shell scripts anymore
Diffstat (limited to 'buildbot/build.sh')
-rwxr-xr-xbuildbot/build.sh19
1 files changed, 3 insertions, 16 deletions
diff --git a/buildbot/build.sh b/buildbot/build.sh
index f606fc5..60e4ed5 100755
--- a/buildbot/build.sh
+++ b/buildbot/build.sh
@@ -5,24 +5,11 @@ set -eu
PAUSE_LOCKFILE=/tmp/buildbot_pause.lock
if [ -f $PAUSE_LOCKFILE ]; then
-echo "The Buildbot is paused, remove ${PAUSE_LOCKFILE} to resume."
-
-# Treat this as error, so dependent schedulers won't fire up.
-exit 1
+ echo "The Buildbot is paused, remove ${PAUSE_LOCKFILE} to resume."
+ # Treat this as error, so dependent schedulers won't fire up.
+ exit 1
fi
-fetch () {
- git clean -fdx
- git fetch
- # reset to updated upstream branch, but only if we're tracking a branch
- branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo head)
- git reset --hard "$branch"
-}
-
-cd $HOME/deployment
-fetch
-cd
-
echo "Running taler-deployment bootstrap"
source "${HOME}/activate"
taler-deployment bootstrap